Bug 664309 - /etc/crypttab not owned by any package
Summary: /etc/crypttab not owned by any package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: initscripts Maintenance Team
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-19 19:41 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 16:33:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Kovalsky 2010-12-19 19:41:17 UTC
(0) # rpm -qf /etc/crypttab 
file /etc/crypttab is not owned by any package

While doing some hacking on encryption I noticed that crypttab is not owned by any package. This makes it tricky to find the proper component to file bugs in Bugzilla ;)

Anyway, I've tried a couple of system files and all are owned by some package. Usually initscripts, setup or filesystem. So it would "feel right" for crypttab to be owned too. Since the crypttab manpage is owned by initscripts, filing here.

.qa.[root@x86-64-5s-m1 ~]# rpm -qf /usr/share/man/man5/crypttab.5.gz
initscripts-8.45.30-3.el5_5.1.x86_64

Comment 1 Bill Nottingham 2010-12-20 16:33:07 UTC
Fixed upstream. Unlikely to be backported.

http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=5c44a24113b4303970202cd6d2e3375148c5db36


Note You need to log in before you can comment on or make changes to this bug.